Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Interface SyndCategory

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  SyndCategoryImpl

    public interface SyndCategory

extends Cloneable

Bean interface for categories of SyndFeedImpl feeds and entries.

Author:
  Alejandro Abdelnur

Method Summary
`Object` | `clone()` Creates a deep clone of the object.
`String` | `getName()` Returns the category name.
`String` | `getTaxonomyUri()` Returns the category taxonomy URI.
`void` | `setName(String name)` Sets the category name.
`void` | `setTaxonomyUri(String taxonomyUri)` Sets the category taxonomy URI.

Method Detail

### getName

    String getName()

  Returns the category name.

  Returns:
    the category name, null if none.

### setName

    void setName(String name)

  Sets the category name.

  Parameters:
    `name` - the category name to set, null if none.

### getTaxonomyUri

    String getTaxonomyUri()

  Returns the category taxonomy URI.

  Returns:
    the category taxonomy URI, null if none.

### setTaxonomyUri

    void setTaxonomyUri(String taxonomyUri)

  Sets the category taxonomy URI.

  Parameters:
    `taxonomyUri` - the category taxonomy URI to set, null if none.

### clone

    Object clone()
                 throws CloneNotSupportedException

  Creates a deep clone of the object.

  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.